package cn.com.acadsoc.core.dao.impl;

import cn.com.acadsoc.core.dao.TextbookDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class TextbookDaoImpl implements TextbookDao {

    private static final Logger LOGGER = LoggerFactory.getLogger(TextbookDaoImpl.class);

    @Autowired
    private JdbcTemplate jdbcTemplate;

    @Override
    public List<Map<String, Object>> getTextbookByGrade(String grade) {
        String sql = "SELECT ds.uid,multi_dept_source_name,user_level,a.CLID,b.*,b.CatID as `试课教材ID`,b.SID as `试课课件ID`\n" +
                "FROM dm.dm_api_tag_student  ds\n" +
                "LEFT JOIN (\n" +
                "\t\t\tSELECT uid,CLID as `试课ID`, status as `试课状态`,allocationtime as `约课时间`, ClassTime `试课时间` ,CLID,\n" +
                "\t\t\tFROM src.src_a1_class_courselesson_all WHERE  uid = '9474704' and status != -1\n" +
                ")  a ON ds.hash_uid = a.uid\n" +
                "LEFT JOIN src.src_a1_uc_usersubject_all b ON a.CLID = b.CLID\n" +
                "where hash_uid = '9474704' ";
        return jdbcTemplate.queryForList(sql);
    }
    /*SELECT ds.uid,multi_dept_source_name,user_level,a.CLID,b.*,b.CatID as `试课教材ID`,b.SID as `试课课件ID`
    FROM dm.dm_api_tag_student  ds
    LEFT JOIN (
            SELECT uid,CLID as `试课ID`, status as `试课状态`,allocationtime as `约课时间`, ClassTime `试课时间` ,CLID,
            FROM src.src_a1_class_courselesson_all WHERE  uid = '9474704' and status != -1
    )  a ON ds.hash_uid = a.uid
    LEFT JOIN src.src_a1_uc_usersubject_all b ON a.CLID = b.CLID
    where hash_uid = '9474704'*/
}
